Skip to main content

获取 Identity Config

获取某个 Identity 与 Template 的用户级配置。

请求头

Header是否必填说明
AuthorizationBearer <PAT>

路径参数

参数类型是否必填说明
identity_idstringForward Identity ID。
template_idstringForward Template ID。

示例请求

curl -s -X GET 'https://api.qoder.com.cn/api/v1/forward/identities/idn_019eabc123/templates/tmpl_support/config' \
  -H "Authorization: Bearer $QODER_PAT"

示例响应

HTTP 200 OK
{
  "type": "config",
  "identity_id": "idn_019eabc123",
  "template_id": "tmpl_support",
  "name": "CRM profile",
  "status": "active",
  "identity_config": {
    "system": {
      "mode": "append",
      "content": "Prefer CRM data when answering."
    },
    "skills": {
      "skill_customer_reply": {
        "enabled": true
      }
    }
  },
  "metadata": {},
  "created_at": "2026-06-18T10:00:00Z",
  "updated_at": "2026-06-18T10:00:00Z"
}

响应字段

字段类型说明
typestring固定为 config
identity_configobject存储的用户级覆盖 DSL。
metadataobject业务元数据。

错误

HTTPTypeCode触发条件
404not_found_error-Identity、Template 或 Config 不存在。
401authentication_errorTOKEN_INVALIDPAT 无效或已过期。
401 响应的 message 字段因触发场景而异:
  • PAT 无效或已过期:invalid pt-token
  • 缺少 Authorization 请求头:missing authorization token
  • Authorization 格式错误(非 Bearer <PAT> 格式):invalid authorization format, expected Bearer

备注

  • 要查看编译后的运行时配置,请使用 Get Effective Config。
  • 资源 map 中的 enabled=false 会禁用从 Template 继承的资源。

相关